# std::chrono::year::ok

From cppreference.com
< cpp‎ | chrono‎ | year

constexpr bool ok() const noexcept; |  | (since C++20)

Checks if the year value stored in `*this` is in the valid range, i.e., [-32767, 32767].

### Return value

true if the year value stored in `*this` is in the range [-32767, 32767]. Otherwise false.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/year/ok&oldid=104857"